Update KOHA lên phiên bản 3.16

Discussion in 'Cập nhật Live DVD, CD Koha' started by Phạm Quang Quyền, Jul 5, 2014.

  1. Phạm Quang Quyền

    Phạm Quang Quyền Moderator Staff Member

    [​IMG]
    Hôm vừa rồi nghe bác Lân (bên D&L) có nói rằng bản koha 3.16 đã khắc phục hạn chế về kỹ thuật tìm như em đã trình bày ở 01 topics khác. Em đang loay hoay nâng cấp 3.12 lên thử mà thấy mệt và oải quá (mục đích để thử nghiệm) trải nghiệm xem thế nào.
    Nhờ bác Uy cho ý kiến xem xét nhé để rồi có cơ sở cho việc phát triển KOHA tại các Thư viện Việt Nam.
  2. nguyenquocuy

    nguyenquocuy Administrator Staff Member

    Để nâng cấp thì bạn add sources cho phiên bản stable. Mình nghĩ nếu bạn đang dùng 3.12, chắc là dùng bản oldstable, nên nếu dùng sudo apt-get update
    và sudo apt-get upgrade
    thì sẽ chỉ lên 3.14 thôi, bạn vào add lại đoạn dành cho source stable:
    deb http://debian.koha-community.org/koha squeeze main
    vào file:
    sudo nano /etc/apt/sources.list
    upgrade sẽ lên thẳng 3.16.
    Chi tiết xem thêm:
    http://dreamlib.vn/threads/hướng-dẫn-cài-đặt-koha-cho-hệ-điều-hành-ubuntu-phần-1.85/
    Việc bản 3.16 có fix lỗi tìm kiếm không thì mình không rõ lắm. Bạn thử check xem rồi confirm nhé!
    Phạm Quang Quyền likes this.
  3. Phạm Quang Quyền

    Phạm Quang Quyền Moderator Staff Member

    Thank a Uy, hôm nay mệt quá rồi, tối mai ngồi thử test rồi sẽ thông tin lại ngay để mọi người cùng biết, đỡ mất time mầy mò. May mà có diễn đàn, KOHA có bác Uy, Dspace có bác Đông và một số các thành viên khác nên trong quá trình tìm hiểu đỡ hẳn trong quá trình mầy mò.
  4. Phạm Quang Quyền

    Phạm Quang Quyền Moderator Staff Member

    Không hiểu sao, add vào source.list dòng đó rồi e thực hiện 2 lệnh để update & upgrade lên 3.16 nhưng khi kiểm tra phiên bản nó vẫn báo 3.12.04, và thử lại lệnh upgrade thì thông báo như sau:
    root@koha-DVD:/home/koha# apt-get upgrade
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following packages have been kept back:
    koha-common linux-generic linux-headers-generic linux-image-generic
    0 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.
    root@koha-DVD:/home/koha# apt-get upgrade koha
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following packages have been kept back:
    koha-common linux-generic linux-headers-generic linux-image-generic
    0 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.
  5. nguyenquocuy

    nguyenquocuy Administrator Staff Member

    Dùng lệnh sudo apt-get dist-upgrade thử xem nhé bạn Quyền!
  6. Phạm Quang Quyền

    Phạm Quang Quyền Moderator Staff Member

    Thank a Uy, giờ mới xong công việc hôm nay, vào diễn đàn ngay nên chắc giờ em thử luôn. Kết quả ra sao sẽ thông tin nhờ a tiếp nhé!
  7. Phạm Quang Quyền

    Phạm Quang Quyền Moderator Staff Member

    Đã nâng cấp thành công a Uy à, cảm ơn anh.
    Đúng là 2 lệnh:
    1. sudo apt-get update
    2. sudo apt-get dist-upgrade
    nếu báo lỗi về đường dẫn đặt file source.list thì có thể tìm ở 1 trong 2 nơi:
    1. thư mục /etc/apt (file source.list)
    2. thư mục /var/lib/apt/lists, có các file về source ở trong đó.

    TUY NHIÊN, EM THỬ TÌM KIẾM THÌ KHÔNG THẤY KHÁC GÌ - CHƯA GIẢI QUYẾT ĐƯỢC VẤN ĐỀ, thấy Zebra vẫn 2.0.4 thì phải, mặc dù quá trình nâng cấp thấy có thông báo upgrade Zebra. Hy vọng rằng D&L tiếp tục tìm giải pháp cho tìm kiếm tiếng Việt có hỗ trợ tìm thuật ngữ chính xác cho KOHA.
    Thanks các bác!
  8. Phạm Quang Quyền

    Phạm Quang Quyền Moderator Staff Member

    À, mà báo cáo bác Uy sau khi nâng cấp xong, khi vào biên mục cực khó chịu, e đang gõ nhập vào tác giả thì cứ động bàn phím 1 cái là nó chạy lên trường dữ liệu bên trên hoặc sang giao diện khác ngay, không biết là lý do gì a Uy à.
  9. Phạm Quang Quyền

    Phạm Quang Quyền Moderator Staff Member

    Hình ảnh liên quan đến quá trình e đã nâng cấp & thử nghiệm (ảnh hơi mờ chút)
    [​IMG]
    Phiên bản 3.16.0
    [​IMG]
  10. nguyenquocuy

    nguyenquocuy Administrator Staff Member

    Cái này do bạn dùng giao diện tiếng việt đúng ko? Như mình đã nói, tạm thời chỉ dùng đc cho 3.12 thôi, dùng cho 3.14 cũng có lỗi tương tự!

Share This Page